      PROGRAM INTEGR
      REAL RINT
      INTEGER N, NFIRST, NLAST
      RINT = 0.0
      NFIRST =12
      NLAST = 25
      WRITE(*,*) 'n     I_n'
      WRITE(*,*) '--  ----------'
      WRITE(*,*) NLAST,RINT
      DO 10 N = NLAST,NFIRST+1,-1
        RINT = (1.0 - RINT)/FLOAT(N)
        WRITE(*,*) N-1,RINT
 10   CONTINUE
      STOP
      END
